package com.heyu.api.data.entity.device;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*设备与用户绑定表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("device_user_bind")
public class DeviceUserBindEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.device.DeviceUserBindEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                             // 
    public final static String is_delete = CLASS_NAME + "is_delete";                // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";            // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";            // 修改时间
    public final static String is_bind = CLASS_NAME + "is_bind";                    // 是否绑定0未绑定 1绑定
    public final static String user_id = CLASS_NAME + "user_id";                    // 用户Id
    public final static String device_type = CLASS_NAME + "device_type";            // 设备类型：0 果Box 1 涂鸦设备 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器 99:机器人BOx
    public final static String device_id = CLASS_NAME + "device_id";                // 设备id
    public final static String other_device_id = CLASS_NAME + "other_device_id";    // 三方设备id
    public final static String space_id = CLASS_NAME + "space_id";                  // 涂鸦空间id
    public final static String is_main = CLASS_NAME + "is_main";                    // 是否为主设备 1：是 0：不是
    public final static String bind_name = CLASS_NAME + "bind_name";                // 绑定设备名称（用户命名）
    public final static String country_ = CLASS_NAME + "country";                   // 国家
    public final static String province_ = CLASS_NAME + "province";                 // 省
    public final static String city_ = CLASS_NAME + "city";                         // 市
    public final static String county_ = CLASS_NAME + "county";                     // 县、区
    public final static String village_ = CLASS_NAME + "village";                   // 乡镇
    public final static String address_ = CLASS_NAME + "address";                   // 乡镇以下地址
    public final static String category_code = CLASS_NAME + "category_code";        // 第三方分类名称
    public final static String u3d_id = CLASS_NAME + "u3d_id";                      // U3D对应物品ID
    public final static String scence_id = CLASS_NAME + "scence_id";                // U3D场景ID
    public final static String tts_ = CLASS_NAME + "tts";                           // 语音合成音色标识
    public final static String box_opt = CLASS_NAME + "box_opt";                    // Box的配置Json格式，固定音频地址
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //是否绑定0未绑定 1绑定
    private Integer isBind;
    //用户Id
    private Long userId;
    //设备类型：0 果Box 1 涂鸦设备 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器 99:机器人BOx
    private Integer deviceType;
    //设备id
    private Long deviceId;
    //三方设备id
    private Long otherDeviceId;
    //涂鸦空间id
    private Long spaceId;
    //是否为主设备 1：是 0：不是
    private Integer isMain;
    //绑定设备名称（用户命名）
    private String bindName;
    //国家
    private String country;
    //省
    private String province;
    //市
    private String city;
    //县、区
    private String county;
    //乡镇
    private String village;
    //乡镇以下地址
    private String address;
    //第三方分类名称
    private String categoryCode;
    //U3D对应物品ID
    private Long u3dId;
    //U3D场景ID
    private Long scenceId;
    //语音合成音色标识
    private String tts;
    //Box的配置Json格式，固定音频地址
    private String boxOpt;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 是否绑定0未绑定 1绑定 
     * @return
     */
    public Integer getIsBind() {
        return isBind;
    }
    /**
     * 是否绑定0未绑定 1绑定 
     * @param isBind
     */
    public void setIsBind(Integer isBind) {
        this.isBind = isBind;
    }

    /**
     * 用户Id 
     * @return
     */
    public Long getUserId() {
        return userId;
    }
    /**
     * 用户Id 
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 设备类型：0 果Box 1 涂鸦设备 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器 99:机器人BOx 
     * @return
     */
    public Integer getDeviceType() {
        return deviceType;
    }
    /**
     * 设备类型：0 果Box 1 涂鸦设备 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器 99:机器人BOx 
     * @param deviceType
     */
    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    /**
     * 设备id 
     * @return
     */
    public Long getDeviceId() {
        return deviceId;
    }
    /**
     * 设备id 
     * @param deviceId
     */
    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 三方设备id 
     * @return
     */
    public Long getOtherDeviceId() {
        return otherDeviceId;
    }
    /**
     * 三方设备id 
     * @param otherDeviceId
     */
    public void setOtherDeviceId(Long otherDeviceId) {
        this.otherDeviceId = otherDeviceId;
    }

    /**
     * 涂鸦空间id 
     * @return
     */
    public Long getSpaceId() {
        return spaceId;
    }
    /**
     * 涂鸦空间id 
     * @param spaceId
     */
    public void setSpaceId(Long spaceId) {
        this.spaceId = spaceId;
    }

    /**
     * 是否为主设备 1：是 0：不是 
     * @return
     */
    public Integer getIsMain() {
        return isMain;
    }
    /**
     * 是否为主设备 1：是 0：不是 
     * @param isMain
     */
    public void setIsMain(Integer isMain) {
        this.isMain = isMain;
    }

    /**
     * 绑定设备名称（用户命名） 
     * @return
     */
    public String getBindName() {
        return bindName;
    }
    /**
     * 绑定设备名称（用户命名） 
     * @param bindName
     */
    public void setBindName(String bindName) {
        this.bindName = bindName;
    }

    /**
     * 国家 
     * @return
     */
    public String getCountry() {
        return country;
    }
    /**
     * 国家 
     * @param country
     */
    public void setCountry(String country) {
        this.country = country;
    }

    /**
     * 省 
     * @return
     */
    public String getProvince() {
        return province;
    }
    /**
     * 省 
     * @param province
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * 市 
     * @return
     */
    public String getCity() {
        return city;
    }
    /**
     * 市 
     * @param city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * 县、区 
     * @return
     */
    public String getCounty() {
        return county;
    }
    /**
     * 县、区 
     * @param county
     */
    public void setCounty(String county) {
        this.county = county;
    }

    /**
     * 乡镇 
     * @return
     */
    public String getVillage() {
        return village;
    }
    /**
     * 乡镇 
     * @param village
     */
    public void setVillage(String village) {
        this.village = village;
    }

    /**
     * 乡镇以下地址 
     * @return
     */
    public String getAddress() {
        return address;
    }
    /**
     * 乡镇以下地址 
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 第三方分类名称 
     * @return
     */
    public String getCategoryCode() {
        return categoryCode;
    }
    /**
     * 第三方分类名称 
     * @param categoryCode
     */
    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

    /**
     * U3D对应物品ID 
     * @return
     */
    public Long getU3dId() {
        return u3dId;
    }
    /**
     * U3D对应物品ID 
     * @param u3dId
     */
    public void setU3dId(Long u3dId) {
        this.u3dId = u3dId;
    }

    /**
     * U3D场景ID 
     * @return
     */
    public Long getScenceId() {
        return scenceId;
    }
    /**
     * U3D场景ID 
     * @param scenceId
     */
    public void setScenceId(Long scenceId) {
        this.scenceId = scenceId;
    }

    /**
     * 语音合成音色标识 
     * @return
     */
    public String getTts() {
        return tts;
    }
    /**
     * 语音合成音色标识 
     * @param tts
     */
    public void setTts(String tts) {
        this.tts = tts;
    }

    /**
     * Box的配置Json格式，固定音频地址 
     * @return
     */
    public String getBoxOpt() {
        return boxOpt;
    }
    /**
     * Box的配置Json格式，固定音频地址 
     * @param boxOpt
     */
    public void setBoxOpt(String boxOpt) {
        this.boxOpt = boxOpt;
    }

    @Override
    public String toString() {
        return "DeviceUserBindEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",isBind=" + isBind +
                ",userId=" + userId +
                ",deviceType=" + deviceType +
                ",deviceId=" + deviceId +
                ",otherDeviceId=" + otherDeviceId +
                ",spaceId=" + spaceId +
                ",isMain=" + isMain +
                ",bindName=" + bindName +
                ",country=" + country +
                ",province=" + province +
                ",city=" + city +
                ",county=" + county +
                ",village=" + village +
                ",address=" + address +
                ",categoryCode=" + categoryCode +
                ",u3dId=" + u3dId +
                ",scenceId=" + scenceId +
                ",tts=" + tts +
                ",boxOpt=" + boxOpt +
                "}";
    }
}